Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoProfileMsg Class Reference
Data Channel

## Description

Represents a data message containing a set of profile arrays.

Inheritance diagram for GoProfileMsg:

## Public Member Functions
GoDataMessageType | GoDataMsg_Type (GoDataMsg message)
| Returns the message type for a data channel message given in a GoDataSet. More...
kPoint16s * | GoProfileMsg_At (GoProfileMsg msg, kSize index)
| Gets a pointer to a profile array. More...
kSize | GoProfileMsg_Count (GoProfileMsg msg)
| Gets the count of profile arrays in this message. More...
k32u | GoProfileMsg_Exposure (GoProfileMsg msg)
| Gets the exposure. More...
GoDataSource | GoProfileMsg_Source (GoProfileMsg msg)
| Gets the profile source. More...
kSize | GoProfileMsg_Width (GoProfileMsg msg)
| Gets the count of ranges in each profile array. More...
k32s | GoProfileMsg_XOffset (GoProfileMsg msg)
| Gets the profile x-offset, in micrometers. More...
k32u | GoProfileMsg_XResolution (GoProfileMsg msg)
| Gets the profile x-resolution, in nanometers. More...
k32s | GoProfileMsg_ZOffset (GoProfileMsg msg)
| Gets the profile z-offset, in micrometers. More...
k32u | GoProfileMsg_ZResolution (GoProfileMsg msg)
| Gets the profile z-resolution, in nanometers. More...

## Member Function Documentation

GoDataMessageType GoDataMsg_Type | ( | GoDataMsg | message | ) |
| inherited

Returns the message type for a data channel message given in a GoDataSet.

Parameters

  message | A data channel message.

Returns
  A GoDataMessageType value.

kPoint16s * GoProfileMsg_At | ( | GoProfileMsg | msg,
|  | kSize | index
| ) |  |

Gets a pointer to a profile array.

Parameters

  msg | Message object.
  index | Profile array index.

Returns
  Profile pointer.

kSize GoProfileMsg_Count | ( | GoProfileMsg | msg | ) |

Gets the count of profile arrays in this message.

Parameters

  msg | Message object.

Returns
  Count of profile arrays.

k32u GoProfileMsg_Exposure | ( | GoProfileMsg | msg | ) |

Gets the exposure.

Parameters

  msg | Message object.

Returns
  Exposure in uS.

GoDataSource GoProfileMsg_Source | ( | GoProfileMsg | msg | ) |

Gets the profile source.

Parameters

  msg | Message object.

Returns
  Profile source.

kSize GoProfileMsg_Width | ( | GoProfileMsg | msg | ) |

Gets the count of ranges in each profile array.

Parameters

  msg | Message object.

Returns
  Range count.

k32s GoProfileMsg_XOffset | ( | GoProfileMsg | msg | ) |

Gets the profile x-offset, in micrometers.

Parameters

  msg | Message object.

Returns
  X offset (um).

k32u GoProfileMsg_XResolution | ( | GoProfileMsg | msg | ) |

Gets the profile x-resolution, in nanometers.

Parameters

  msg | Message object.

Returns
  X resolution (nm).

k32s GoProfileMsg_ZOffset | ( | GoProfileMsg | msg | ) |

Gets the profile z-offset, in micrometers.

Parameters

  msg | Message object.

Returns
  Z offset (um).

k32u GoProfileMsg_ZResolution | ( | GoProfileMsg | msg | ) |

Gets the profile z-resolution, in nanometers.

Parameters

  msg | Message object.

Returns
  Z resolution (nm).

The documentation for this class was generated from the following file:

- Messages/GoDataTypes.h